- [HTTP request](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#body.request_body)
- [Response body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#body.aspect)
- [Try it!](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/delete#try-it)

Deletes a Colab runtime assignment.

**Best Practices:**

- Avoid deleting runtimes unless necessary. Reuse runtimes for efficiency.

- Open a new Jupyter session on an existing runtime for state isolation.

### HTTP request

`DELETE https://colaboratory.googleapis.com/v1beta/{name=runtimes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the runtime to unassign. Format: `runtimes/{runtimeId}`. |

### Query parameters

| Parameters ||
|---|---|
| `allowMissing` | `boolean` Optional. If set to `true`, and the runtime is not found, the request will succeed but no action will be taken on the server. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/colaboratory`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).